py_who.d(1m)

NAME
py_who.d - trace Python function execution by process using DTrace.

SYNOPSIS
py_who.d

DESCRIPTION
This traces Python activity from all Python programs on the system that are running with Python provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_who.d

FIELDS

PID Process ID of Python

UID User ID of the owner

FUNCS
    Number of function calls

FILE
    Pathname of the Python program

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)